summaryrefslogtreecommitdiff
path: root/tests/mv/mv-n.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/mv-n.sh')
-rwxr-xr-xtests/mv/mv-n.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/mv/mv-n.sh b/tests/mv/mv-n.sh
index 30ba35bb..8c3fedb8 100755
--- a/tests/mv/mv-n.sh
+++ b/tests/mv/mv-n.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Test whether mv -n works as documented (not overwrite target).
-# Copyright (C) 2006-2014 Free Software Foundation, Inc.
+# Copyright (C) 2006-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -52,6 +52,6 @@ compare out5 out_empty || fail=1
# options --backup and --no-clobber are mutually exclusive
touch a || framework_failure_
-mv -bn a b 2>/dev/null && fail=1
+returns_ 1 mv -bn a b 2>/dev/null || fail=1
Exit $fail